summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-05-24 01:37:15 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-06-13 12:34:05 +0000
commit8c92572bed4443372da4ea79d7f089eeeb6a96bb (patch)
treedac58b5d8bc87df5a60e199cebb41175887e438e
parent9de1cfbf0344ec48fe94c9f070159b742058a13f (diff)
downloadabuild-8c92572bed4443372da4ea79d7f089eeeb6a96bb.tar.bz2
abuild-8c92572bed4443372da4ea79d7f089eeeb6a96bb.tar.xz
sample.APKBUILD: rename _builddir to builddir
-rw-r--r--sample.APKBUILD14
1 files changed, 6 insertions, 8 deletions
diff --git a/sample.APKBUILD b/sample.APKBUILD
index 342a28e..a95fec2 100644
--- a/sample.APKBUILD
+++ b/sample.APKBUILD
@@ -1,5 +1,5 @@
# This is an example APKBUILD file. Use this as a start to creating your own,
-# and remove these comments.
+# and remove these comments.
# NOTE: Please fill out the license field for your package! If it is unknown,
# then please put 'unknown'.
@@ -19,16 +19,14 @@ install=
subpackages="$pkgname-dev $pkgname-doc"
source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir"/$pkgname-$pkgver
prepare() {
- cd "$_builddir"
- # apply patches here
+ cd "$builddir"
}
build() {
- cd "$_builddir"
+ cd "$builddir"
./configure --prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
@@ -37,8 +35,8 @@ build() {
}
package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
# remove the 2 lines below (and this) if there is no init.d script
# install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname